Cara install ionCube Loader

Pernah saya ingin menggunakan sebuah tema WordPress untuk online shop buatan Indonesia tapi pas diupload dan diaktifkan malah gagal total. Saya lupa apa pesan errornya, yang saya ingat saat mengecek isi file – file phpnya tampak kacau jadi tidak bisa dibaca oleh notepad. Langsung tersadar bahwa ternyata dienkripsi memanfaatkan ionCube Loader yang memang lazim diinstall pada shared hosting, tapi sangat jarang dibutuhkan di VPS.

Solusinya ya cuma satu, kita harus menginstall ionCube Loader pada server kita. Untung saja caranya tidaklah sulit, cuma harus teliti saja. Bagusnya lagi berlaku untuk semua jenis distro Linux. Jadi mau Debian, Ubuntu, CentOS, Arch, Fedora, atau yang lainnya sama saja. Cuma perlu dibedakan ini 32-bit atau 64-bit saja yang dipakai.

Langsung saja ya, silahkan download ionCube Loadernya dulu dan ekstrak file arsipnya:

  • Untuk Linux x86/32-bit
    wget http://downloads3.ioncube.com/loader_downloads/ioncube_loaders_lin_x86.tar.gz
    tar xfz ioncube_loaders_lin_x86.tar.gz
  • Untuk Linux x64/64-bit
    wget http://downloads3.ioncube.com/loader_downloads/ioncube_loaders_lin_x86-64.tar.gz
    tar xfz ioncube_loaders_lin_x64.tar.gz

Setelah itu silahkan pindah dulu ke direktori hasil ekstraknya, semestinya bernama ioncube:

cd ioncube

Perhatikan daftar file ekstensi PHP untuk ionCube:

ls -l

Akan muncul daftarnya seperti berikut:

total 18780
-rw-rw-r-- 1 507 507   10768 Jan 15 21:53 LICENSE.txt
-rw-rw-r-- 1 507 507    2191 Jan 15 21:53 README.txt
-rw-rw-r-- 1 507 507   68398 Jan 15 21:59 USER-GUIDE.pdf
-rw-rw-r-- 1 507 507    6830 Jan 26 14:32 USER-GUIDE.txt
-rwxr-xr-x 1 507 507  449116 Jan 26 14:14 ioncube_loader_lin_4.1.so
-rwxr-xr-x 1 507 507  448156 Jan 26 14:14 ioncube_loader_lin_4.2.so
-rwxr-xr-x 1 507 507  448668 Jan 26 14:14 ioncube_loader_lin_4.3.so
-rwxr-xr-x 1 507 507  461180 Jan 26 14:14 ioncube_loader_lin_4.3_ts.so
-rwxr-xr-x 1 507 507  451228 Jan 26 14:15 ioncube_loader_lin_4.4.so
-rwxr-xr-x 1 507 507  464444 Jan 26 14:15 ioncube_loader_lin_4.4_ts.so
-rwxr-xr-x 1 507 507  463036 Jan 26 14:15 ioncube_loader_lin_5.0.so
-rwxr-xr-x 1 507 507  474748 Jan 26 14:15 ioncube_loader_lin_5.0_ts.so
-rwxr-xr-x 1 507 507 1007228 Jan 26 14:15 ioncube_loader_lin_5.1.so
-rwxr-xr-x 1 507 507 1040700 Jan 26 14:16 ioncube_loader_lin_5.1_ts.so
-rwxr-xr-x 1 507 507 1044540 Jan 26 14:16 ioncube_loader_lin_5.2.so
-rwxr-xr-x 1 507 507 1086140 Jan 26 14:16 ioncube_loader_lin_5.2_ts.so
-rwxr-xr-x 1 507 507 1222548 Jan 26 14:17 ioncube_loader_lin_5.3.so
-rwxr-xr-x 1 507 507 1288084 Jan 26 14:17 ioncube_loader_lin_5.3_ts.so
-rwxr-xr-x 1 507 507 1374160 Jan 26 14:18 ioncube_loader_lin_5.4.so
-rwxr-xr-x 1 507 507 1481424 Jan 26 14:18 ioncube_loader_lin_5.4_ts.so
-rwxr-xr-x 1 507 507 1407084 Jan 26 14:19 ioncube_loader_lin_5.5.so
-rwxr-xr-x 1 507 507 1513580 Jan 26 14:19 ioncube_loader_lin_5.5_ts.so
-rwxr-xr-x 1 507 507 1366236 Jan 26 14:20 ioncube_loader_lin_5.6.so
-rwxr-xr-x 1 507 507 1419484 Jan 26 14:20 ioncube_loader_lin_5.6_ts.so
-rw-rw-r-- 1 507 507  180165 Jul 28  2015 loader-wizard.php

Kita akan membutuhkan file .so yang ditujukan untuk versi PHP yang terinstall. Cek dulu versi PHP yang telah terinstall:

php -v

Ternyata dalam VPS Ubuntu 14.04 ini saya menggunakan versi PHP 5.5.9:

PHP 5.5.9-1ubuntu4.14 (cli) (built: Oct 28 2015 01:32:13) 
Copyright (c) 1997-2014 The PHP Group
Zend Engine v2.5.0, Copyright (c) 1998-2014 Zend Technologies
    with Zend OPcache v7.0.3, Copyright (c) 1999-2014, by Zend Technologies

Jadi yang saya pakai nanti adalah yang ioncube_loader_lin_5.5.so. Kemudian catat lokasi lengkap file tersebut, dalam VPS saya lokasinya di /home/ioncube/ioncube_loader_lin_5.5.so dan bisa lain di VPS anda tergantung anda ekstrak file yang didownload tadi dimana.

Langkah terakhir adalah menambahkan ekstensi tersebut dalam konfigurasi PHP:

echo "zend_extension = /home/ioncube/ioncube_loader_lin_5.5.so" >> /etc/php5/cli/php.ini

Catatan, lokasi php.ini bisa berbeda – beda tergantung distro Linux dan metode instalasinya. Harap dicek dulu.

Terakhir tinggal kita uji apakah benar ionCube Loader sudah aktif dengan mengecek versi PHP lagi, dan ini hasilnya:

PHP 5.5.9-1ubuntu4.14 (cli) (built: Oct 28 2015 01:32:13) 
Copyright (c) 1997-2014 The PHP Group
Zend Engine v2.5.0, Copyright (c) 1998-2014 Zend Technologies
    with the ionCube PHP Loader (enabled) + Intrusion Protection from ioncube24.com (unconfigured) v5.0.23, Copyright (c) 2002-2016, by ionCube Ltd.
    with Zend OPcache v7.0.3, Copyright (c) 1999-2014, by Zend Technologies

Sep! 🙂 Sukses sudah dan sekarang script PHP yang diproteksi memanfaatkan ionCube bisa dijalankan dengan normal. Ternyata sangat mudah dan tidak sesulit yang saya perkirakan. Hehe. 😀

8 pemikiran pada “Cara install ionCube Loader

  1. ion cube bisa melindungi script klik kanan pada website jg ya mas, qu jdi tertarik mas, vps qu klo di pasang ioncube down engga ya, dan itu melanggar TOS dri proveder VPSnya engga?

    • Lain mbak, ini runtime buat source code PHP yang dienkripsi dengan Ioncube biar bisa dieksekusi. Tidak melanggar ToS mbak, ini hal yang wajar diinstall kalau memang butuh.

  2. qu prnah nyobain pke plugin php guard dn hsilnya jika di klik kanan code html gak bisa ke baca, semua kode html berubah menjadi simbol dn angka.. tpi syangnya ni ga bisa ke bca oleh google jd jika stelah posting ga bisa ke index oleh google.. berati ioncube hnya merubah php nya. qu kira sma sprti yg prnh aq coba.. hemmmm smakin pusing semakin asik mas chandra.. tpi intan gak prnh menyerah klo udh asyik otak-atik mslh koding mas.

    • PHP Guard itu yang mana ya mbak? Saya cuma ketemu Zend Guard: http://www.zend.com/en/products/zend-guard dan kalau dilihat fungsinya mirip Ioncube juga.

      Tapi sebenarnya 99% aplikasi PHP ga perlu hal semacam itu sih mbak, bikin repot saat mau menggunakannya. Kalau mengubah file HTMLnya juga – menurut saya – ga ada manfaatnya. Mau proteksi klik kanan bisa dibypass langsung lewat browser, entah lewat view source atau matikan JavaScript. CMIIW.

      Hee… semangatnya mbak patut diteladani. Haha. 😀

    • Mas tinggal modifikasi perintah menambahkan ekstensinya saja:

      echo "zend_extension = /home/ioncube/ioncube_loader_lin_5.3.so" >> /etc/php5/cli/php.ini
  3. saya ada tulisan ini hasilnya

    Failed loading /home/ioncube/ioncube_loader_lin_5.3.so:  /home/ioncube/ioncube_loader_lin_5.3.so: cannot open shared object file: No such file or directory
    PHP 5.3.3 (cli) (built: Mar 22 2017 12:17:33)
    Copyright (c) 1997-2010 The PHP Group
    Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies
        with Suhosin v0.9.37.1, Copyright (c) 2007-2014, by SektionEins GmbH

    ada masalah apa ya hingga Failed loading ??
    ada whatsapp ga ??

Tinggalkan komentar